/*------------------------------------*\
    #BASE.FORMS
\*------------------------------------*/
/**
 * Basic form styles.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.base';

// Remove rounded edges in Safari/iOS
input {
    border-radius: 0;
    box-shadow: none;
}

// Reset checkbox/radio
input[type='checkbox'],
input[type='radio'] {
    border: 0;
    height: auto;
    padding: 0;
    width: auto;
}

input,
select,
textarea,
fieldset {
    border: 0;
    font-size: 16px;
    margin: 0;
    padding: 0;
    height: auto;


    @include drk-hover {
        // Disable zoom on focus in Safari/iOS
        font-size: 16px;
    }

    @media #{$medium-up}{
        font-size: $base-font-size-medium-up;

        @include drk-hover {
            // Disable zoom on focus in Safari/iOS
            font-size: $base-font-size-medium-up;
        }
    }

    @media #{$large-up}{
        font-size: $base-font-size-large-up;

        @include drk-hover {
            // Disable zoom on focus in Safari/iOS
            font-size: $base-font-size-large-up;
        }
    }
}
